Summary:	A C++ framework that wraps famous Gtk+ widget set library
Name:		vdk
Version:	1.2.4
Release:	3mdk

Source0:	%name-%version.tar.bz2

License:	LGPL
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release
Buildrequires:	gnome-libs-devel libsigc++-devel tetex


%description
- signal/events dispatching strategy makes a clear distinction between interface
  and application
- a powerful and flexible signal system 
- supports properties like moderns RAD tools do, user defined properties are
  supported as well 
- will track closely Gtk+ development and relies only on Gtk+ stable releases
- has a full documentation and soon a tutorial will be written 
- is used as base library for a RAD tool , named VDKBuilder 
- using VDK is similar to Borland (Inprise) OWL and/or VCL 

VDK distribution 

VDK is made of three separated libraries: 
- libvdk VDK core library, contains all Gtk+ wrapped widgets. 
- libvdkcompo VDK components library, contains totally new widgets and others
  interesting widgets
- libvdkgnome a gnome-aware components library (optionally build) 


%package devel
Summary:	The Visual Development Kit is a C++ wrapper for GTK+
Group:		Development/GNOME and GTK+
Requires:	%name = %version-%release
 
%description devel
This package contains the headers and libraries needed to compile and link
applications using VDK.
                               

%prep


%setup -q


%build
./configure --prefix=%_prefix \
			--host=%_target_platform \
			--build=%_target_platform \
			--enable-debug=no \
			--enable-shared=yes \
			--enable-static=no \
			--enable-opt=3 \
			--enable-testvdk=yes \
			--enable-sigc=yes \
			--enable-testsigc=yes \
			--enable-gnome=yes \
			--enable-doc-html=yes \
			--enable-doc-latex=no \
			--enable-doc-man=yes

%make

make docs


%install
%makeinstall


%clean
rm -fr %buildroot


%post
/sbin/ldconfig
 
%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc README TODO
%_libdir/libvdk*.so.*   


%files devel
%defattr(-,root,root)
%doc example doc/*.txt     
%_libdir/libvdk*.so
%_libdir/libvdk*.la
%_includedir/vdk
%_mandir/man1/*
%_bindir/*
%_datadir/aclocal/vdk.m4


%changelog
* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-3mdk
- Allow build
- Clean spec

* Fri Dec 08 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-2mdk
- Allow to build: fix typos in SPEC
- Macros, BM, etc.
- Use optimizations

* Mon Oct 23 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2.4-1mdk
- First mdk version
